# Integration Permissions

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=389ff621-671b-49ce-8de2-7570e9185ae4/.default>" %}
URL to grant required permissions&#x20;
{% endembed %}

## Landis Attendant Console

### Delegated:

#### offline\_access: Maintain access to data you have given it access to&#x20;

Get information about the logged in user.

#### Contacts.Read.Shared: Read user and shared contacts&#x20;

Get shared Exchange contacts.

#### User.Read: Sign in and read user profile&#x20;

Get Azure AD User info, such as name, email, phone, department, photo, manager, direct reports.

#### User.Read.All: Read all users' full profiles

Get Azure AD User info such as name, email, phone, department, photo, manager, direct reports.

#### Calendars.Read: Read user calendars

Get schedule (calendar) for Azure AD users.

#### Contacts.Read: Read user contacts

Get Exchange contacts.

#### openId: View user's email address

Required for sign in

#### email: View User's email address

Required for sign in

#### profile: View user's basic profile

Required for sign in

#### GroupMember.Read.All: Read group memberships

Get members in a Teams team for contact groups.

#### Presence.Read.All: Read presence information of all users in your organization

Get presence for Azure AD users.

#### ChatMessage.Send: Send user chat messages

Send a chat or chat callback remind to another user.

#### Chat.Create: Create chats

Create a chat in order to send a chat or chat callback remind to another user.

#### User.ReadBasic.All: Read all users' basic profiles&#x20;

Get Azure AD User info, such as name, email, phone, department, photo, manager, direct reports.

#### Presence.ReadWrite: Read and write your presence information

Get and change user defined Teams presence.

#### People.Read: Retrieve people who are most relevant to a user

First run populate favorites contact group

#### Mail.ReadBasic: Read user basic mail (Optional)

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=Mail.ReadBasic+openid+profile+offline_access>" %}
URL to grant optional Mail.ReadBasic permission
{% endembed %}

Get the count of unread voicemails.

#### Mail.ReadWrite: Read and write access to your mail (Optional)

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=Mail.ReadWrite+openid+profile+offline_access>" %}
URL to grant optional Mail.ReadWrite permision
{% endembed %}

Get voicemail details and mark voicemails as read.

#### OrgContacts.Read.All: Read organizational contacts (Optional)

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=OrgContact.Read.All+openid+profile+offline_access>" %}
URL to grant optional OrgContacts.Read.All permission
{% endembed %}

Search global Exchange contacts and/or display global Exchange Contact groups.

#### CallDelegation.ReadWrite: Read and write delegation settings (Optional)

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=CallDelegation.ReadWrite+openid+profile+offline_access>" %}
Url to grant optional CallDelegation.ReadWrite permission
{% endembed %}

Change call delegate setting.

#### user\_impersonation: Access Cognitive Services API as organization users (Optional)

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=https://cognitiveservices.azure.com/user_impersonation>" %}
Url to grant optional Cognitive Services permission
{% endembed %}

Connect to your own Azure AI model.

## Landis Attendant Console - API

### Delegated:

#### Teams.ManageCalls: Manage calls in Teams

Ability to answer/transfer calls etc.

#### Teams.ManageChats: Create, read, update, and delete one to one or group chat threads

Manage chat threads for some call scenarios.

#### User.Read: Sign in and read user profile&#x20;

Get Azure AD User info, such as name, email, phone, department, photo, manager, direct reports.

## Landis Attendant Console - Teams Info (Optional)

### Delegated:

#### user\_impersonation: Access Microsoft Teams and Skype for Business data as the signed in user

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=63f7586a-81a9-4c7f-8724-382f9d608548&redirect_uri=https://ac.landis.cloud&scope=.default>" %}

{% embed url="<https://login.microsoftonline.com/organizations/v2.0/adminconsent?client_id=389ff621-671b-49ce-8de2-7570e9185ae4&redirect_uri=https://ac.landis.cloud&scope=api://63f7586a-81a9-4c7f-8724-382f9d608548/access_as_user>" %}

Opt in/out of Teams Call Queues.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ac.docs.landis.cloud/appendix/integration-permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
